## pd-bsaylor 0.1

=== Makefile ===
## Pd library template version 1.0.4
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = bsaylor

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically
SOURCES = aenv~.c partconv~.c pvoc~.c susloop~.c svf~.c zhzxh~.c


# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = mtosr.pd

# example patches and related files, in the 'examples' subfolder
EXAMPLES = noiseburst.wav

# manuals and related files, in the 'manual' subfolder
MANUAL = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = partconv~.dsp partconv~.dsw partconv~.vcproj sse-conv.inc.c altivec-perform.inc.c

# NOTE: added custom targets for partconv~ and pvoc~


#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

CFLAGS = -DPD -I"$(PD_INCLUDE)" -Wall -W -g
LDFLAGS =  
LIBS = -lm

#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

CFLAGS += -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
	CFLAGS := $(IPHONE_CFLAGS) $(OPT_CFLAGS) $(CFLAGS)
    LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    LIBS += -lc 
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      SOURCES += $(SOURCES_iphoneos)
    endif
    CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    LDFLAGS += $(FAT_FLAGS) -bundle -undefined dynamic_lookup -L/sw/lib
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    LDFLAGS += $(shell test -e $(PD_PATH)/bin/pd && echo -bundle_loader $(PD_PATH)/bin/pd)
    LIBS += -lc 
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += -fPIC
  LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  OS = cygwin
  PD_PATH = $(cygpath $(PROGRAMFILES))/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -Wl,--export-dynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  LIBS += -lc -lpd
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$(PROGRAMFILES)"/pd && pwd)
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  CFLAGS += -mms-bitfields
  LDFLAGS += -s -shared -Wl,--enable-auto-import
  LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" -lpd -lwsock32 -lkernel32 -luser32 -lgdi32
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

CFLAGS += $(OPT_CFLAGS)


.PHONY = install libdir_install single_install install-doc install-exec install-examples install-manual clean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION))

%.o: %.c
	$(CC) $(CFLAGS) -o "$*.o" -c "$*.c"

%.$(EXTENSION): %.o
	$(CC) $(LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(LIBS)
	chmod a-x "$*.$(EXTENSION)"

partconv~.$(EXTENSION): partconv~.o
	$(CC) $(LDFLAGS) -o "partconv~.$(EXTENSION)" "partconv~.o"  $(LIBS) -lfftw3f
	chmod a-x "partconv~.$(EXTENSION)"

pvoc~.$(EXTENSION): pvoc~.o
	$(CC) $(LDFLAGS) -o "pvoc~.$(EXTENSION)" "pvoc~.o"  $(LIBS) -lfftw3
	chmod a-x "pvoc~.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o
	$(CC) $(LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) $(LIBRARY_NAME).o $(LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) install-doc install-examples install-manual
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)

# install library linked as single binary
single_install: $(LIBRARY_NAME) install-doc install-exec
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_PROGRAM) $(LIBRARY_NAME).$(EXTENSION) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(STRIP) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/$(LIBRARY_NAME).$(EXTENSION)

install-doc:
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES) $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(HELPPATCHES) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) README.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/README.txt
	$(INSTALL_DATA) LICENSE.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/LICENSE.txt

install-examples:
	test -z "$(strip $(EXAMPLES))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples && \
		for file in $(EXAMPLES); do \
			$(INSTALL_DATA) examples/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples; \
		done

install-manual:
	test -z "$(strip $(MANUAL))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual && \
		for file in $(MANUAL); do \
			$(INSTALL_DATA) manual/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual; \
		done


clean:
	-rm -f -- $(SOURCES:.c=.o) $(SOURCES_LIB:.c=.o)
	-rm -f -- $(SOURCES:.c=.$(EXTENSION))
	-rm -f -- $(LIBRARY_NAME).o
	-rm -f -- $(LIBRARY_NAME).$(EXTENSION)

distclean: clean
	-rm -f -- $(DISTBINDIR).tar.gz
	-rm -rf -- $(DISTBINDIR)
	-rm -f -- $(DISTDIR).tar.gz
	-rm -rf -- $(DISTDIR)
	-rm -f -- $(ORIGDIR).tar.gz
	-rm -rf -- $(ORIGDIR)


$(DISTBINDIR):
	$(INSTALL_DIR) $(DISTBINDIR)

libdir: all $(DISTBINDIR)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd  $(DISTBINDIR)
	$(INSTALL_DATA) $(SOURCES)  $(DISTBINDIR)
	$(INSTALL_DATA) $(HELPPATCHES) $(DISTBINDIR)
	test -z "$(strip $(EXTRA_DIST))" || \
		$(INSTALL_DATA) $(EXTRA_DIST)    $(DISTBINDIR)
#	tar --exclude-vcs -czpf $(DISTBINDIR).tar.gz $(DISTBINDIR)

$(DISTDIR):
	$(INSTALL_DIR) $(DISTDIR)

$(ORIGDIR):
	$(INSTALL_DIR) $(ORIGDIR)

dist: $(DISTDIR)
	$(INSTALL_DATA) Makefile  $(DISTDIR)
	$(INSTALL_DATA) README.txt $(DISTDIR)
	$(INSTALL_DATA) LICENSE.txt $(DISTDIR)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd  $(DISTDIR)
	test -z "$(strip $(ALLSOURCES))" || \
		$(INSTALL_DATA) $(ALLSOURCES)  $(DISTDIR)
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS)  $(DISTDIR)
	test -z "$(strip $(HELPPATCHES))" || \
		$(INSTALL_DATA) $(HELPPATCHES) $(DISTDIR)
	test -z "$(strip $(EXTRA_DIST))" || \
		$(INSTALL_DATA) $(EXTRA_DIST)    $(DISTDIR)
	test -z "$(strip $(EXAMPLES))" || \
		$(INSTALL_DIR) $(DISTDIR)/examples && \
		for file in $(EXAMPLES); do \
			$(INSTALL_DATA) examples/$$file $(DISTDIR)/examples; \
		done
	test -z "$(strip $(MANUAL))" || \
		$(INSTALL_DIR) $(DISTDIR)/manual && \
		for file in $(MANUAL); do \
			$(INSTALL_DATA) manual/$$file $(DISTDIR)/manual; \
		done
	tar --exclude-vcs -czpf $(DISTDIR).tar.gz $(DISTDIR)

# make a Debian source package
dpkg-source:
	debclean
	make distclean dist
	mv $(DISTDIR) $(ORIGDIR)
	tar --exclude-vcs -czpf ../$(ORIGDIR).orig.tar.gz $(ORIGDIR)
	rm -f -- $(DISTDIR).tar.gz
	rm -rf -- $(DISTDIR) $(ORIGDIR)
	cd .. && dpkg-source -b $(LIBRARY_NAME)

etags:
	etags *.h $(SOURCES) ../../pd/src/*.[ch] /usr/include/*.h /usr/include/*/*.h

showsetup:
	@echo "CFLAGS: $(CFLAGS)"
	@echo "LDFLAGS: $(LDFLAGS)"
	@echo "LIBS: $(LIBS)"
	@echo "PD_INCLUDE: $(PD_INCLUDE)"
	@echo "PD_PATH: $(PD_PATH)"
	@echo "objectsdir: $(objectsdir)"
	@echo "LIBRARY_NAME: $(LIBRARY_NAME)"
	@echo "LIBRARY_VERSION: $(LIBRARY_VERSION)"
	@echo "SOURCES: $(SOURCES)"
	@echo "PDOBJECTS: $(PDOBJECTS)"
	@echo "ALLSOURCES: $(ALLSOURCES)"
	@echo "UNAME: $(UNAME)"
	@echo "CPU: $(CPU)"
	@echo "pkglibdir: $(pkglibdir)"
	@echo "DISTDIR: $(DISTDIR)"
	@echo "ORIGDIR: $(ORIGDIR)"

=== debian/changelog ===
pd-bsaylor (0.1-3) unstable; urgency=low

  * Depends: puredata-core | pd, so the depends is not only on a virtual package
  * removed leading article from synopsis
  * Standards-Version: 3.9.4
  * use canonical anonscm.debian.org URLs in Vcs-* tags
  * fix and improve description (Closes: #700166)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 24 Sep 2013 14:23:57 -0400

pd-bsaylor (0.1-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Add Vcs-* tags.

  [ IOhannes m zmölnig ]
  * Makefile-fixes for non-linux (Closes: #609774)

  [ Hans-Christoph Steiner ]
  * updated Build-Depends to use puredata-dev when available
        (Closes: #629703)
  * bumped standards version to 3.9.2

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 10 Jun 2011 12:33:15 -0400

pd-bsaylor (0.1-1) unstable; urgency=low

  * Initial release (Closes: #602984)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 10 Nov 2010 15:12:27 -0500

=== debian/control ===
Source: pd-bsaylor
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 7.0.50~), 
               libfftw3-dev,
               puredata-dev | puredata (<< 0.43)
Standards-Version: 3.9.4
Homepage: http://puredata.info
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-bsaylor.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-bsaylor.git

Package: pd-bsaylor
Architecture: any
Depends: ${shlibs:Depends},
         puredata-core | pd,
         pd-libdir,
         ${misc:Depends}
Description: library of FFT-based Pd objects by Ben Saylor
 bsaylor is a library of Pure Data objects by Benjamin Saylor:
 .
 pvoc~: a phase vocoder based on Pd's 09.pvoc.pd example patch. Advantages
 over the abstraction include (reportedly) faster execution, instantaneous
 response to input, and adjustable phase locking. It requires FFTW3.
 .
 susloop~: sample player with various loop methods (ping-pong, ... ) like a
 classic tracker interface.
 .
 svf~: a signal-controlled port of Steve Harris' state variable filter
 LADSPA plugin (http://plugin.org.uk).
 .
 zhzhx~: Turns the input signal into a staticky, distorted mess. Comes with
 tone control

=== debian/rules ===
#!/usr/bin/make -f

LIBRARY_NAME = bsaylor
PACKAGE = pd-$(LIBRARY_NAME)
pkglibdir = /usr/lib/pd/extra

%:
	dh $@ --buildsystem=makefile

override_dh_auto_install:
	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)
# replace license file with link to the Debian license file
	rm -f -- $(CURDIR)/debian/$(PACKAGE)/$(pkglibdir)/$(LIBRARY_NAME)/LICENSE.txt

override_dh_shlibdeps:
	dpkg-shlibdeps $(CURDIR)/debian/$(PACKAGE)$(pkglibdir)/$(LIBRARY_NAME)/*.pd_linux \
		-T$(CURDIR)/debian/$(PACKAGE).substvars

=== debian/watch ===
version=3
http://sf.net/pure-data/bsaylor-(.*)\.tar\.gz

## pd-bsaylor 0.1.5

=== Makefile ===
# Makefile to build library 'bsaylor' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.
#
# use : make pdincludepath=/path/to/pure-data/src/
#
# The following command will build the external and install the distributable 
# files into a subdirectory called build/bsaylor :
#
# make install pdincludepath=../pure-data/src/ objectsdir=./build

lib.name = bsaylor

# link statically
FFTW3_CFLAGS =
FFTW3_LIBS = -l:libfftw3.a
FFTW3F_CFLAGS =
FFTW3F_LIBS = -l:libfftw3f.a

objects = aenv~ partconv~ pvoc~ susloop~ svf~ zhzxh~

pvoc~.class.ldlibs = $(FFTW3_LIBS)
partconv~.class.ldlibs = $(FFTW3F_LIBS)

class.sources = $(addsuffix .c,$(objects))

# all extra files to be included in binary distribution of the library
datafiles = $(addsuffix -help.pd,$(objects)) LICENSE.txt README.txt
datadirs = examples

cflags += -Wno-unused -Wno-unused-parameter $(FFTW3_CFLAGS) $(FFTW3F_CFLAGS)

# include Makefile.pdlibbuilder from submodule directory 'pd-lib-builder'
PDLIBBUILDER_DIR=pd-lib-builder/
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== debian/changelog ===
pd-bsaylor (0.1.5-2) unstable; urgency=medium

  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Explicitly set buildsystem to 'pd_lib_builder'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:36:50 +0100

pd-bsaylor (0.1.5-1) unstable; urgency=medium

  * New upstream version 0.1.5
  * Dynamically link against libfftw3*
    + B-D on 'pkg-config'
    + Force build-system to pd-lib-builder when overriding dh_auto_build
  * Update lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 13:50:32 +0100

pd-bsaylor (0.1.2-1) unstable; urgency=medium

  * New upstream version 0.1.2
    + Drop patches applied (or obsoleted) upstream
  * Switch to dh-sequence-pd-lib-builder
  * Add more upstream metadata
  * Update d/copyright
    + Regenerate d/copyright_hints
  * Add lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 25 Nov 2022 15:08:23 +0100

pd-bsaylor (0.1-8) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update d/watch
  * Add 'licensecheck' target
    + Generate d/copyright_hints

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Nov 2022 23:07:00 +0100

pd-bsaylor (0.1-7) unstable; urgency=medium

  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:09:28 +0200

pd-bsaylor (0.1-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix FTCBFS: Defer stripping to dh_strip.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #946328)
  * Removed Hans-Christoph Steiner from Uploaders as he requested
  * Declare that building this package does not require "root" powers
  * Add salsa-ci configuration
  * Drop obsolete file d/source/local-options
  * Bump dh-compat to 12
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Apr 2020 21:51:37 +0200

pd-bsaylor (0.1-5) unstable; urgency=medium

  * Added (CPP|C|LDFLAGS) to build
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Use https:// for URLs
  * Dropped versioned alternative B-D on puredata
  * Added copyright for debian/
  * Bumped dh-compat to 11
    * Simplified d/rules
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Jan 2018 21:30:14 +0100

pd-bsaylor (0.1-4) unstable; urgency=medium

  * Applied upstream patches for 64bit compatibility
    (Closes: #792717)
  * Applied upstream patch to prevent denormals
  * Enabled hardening
  * Added myself to uploaders
  * Only "recommend" pd-libdir to comply with policy §7.2
  * Canonical Vcs-* stanzas (using https://)
  * Bumped standards version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 22 Feb 2016 20:22:55 +0100

=== debian/control ===
Source: pd-bsaylor
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pd-lib-builder,
 libfftw3-dev,
 pkg-config,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://puredata.info
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-bsaylor.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-bsaylor

Package: pd-bsaylor
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 pd-libdir,
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Description: library of FFT-based Pd objects by Ben Saylor
 bsaylor is a library of Pure Data objects by Benjamin Saylor:
 .
 pvoc~: a phase vocoder based on Pd's 09.pvoc.pd example patch. Advantages
 over the abstraction include (reportedly) faster execution, instantaneous
 response to input, and adjustable phase locking. It requires FFTW3.
 .
 susloop~: sample player with various loop methods (ping-pong, ... ) like a
 classic tracker interface.
 .
 svf~: a signal-controlled port of Steve Harris' state variable filter
 LADSPA plugin (http://plugin.org.uk).
 .
 zhzhx~: Turns the input signal into a staticky, distorted mess. Comes with
 tone control

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2022 IOhannes m zmölnig <umlaeute@debian.org>

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pd_lib_builder

override_dh_auto_build:
	dh_auto_build --buildsystem=pd_lib_builder -- \
		FFTW3_CFLAGS=$(shell pkg-config --cflags fftw3) \
		FFTW3_LIBS=$(shell pkg-config --libs fftw3) \
		FFTW3F_CFLAGS=$(shell pkg-config --cflags fftw3f) \
		FFTW3F_LIBS=$(shell pkg-config --libs fftw3f) \
		$(empty)

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=auto,\
     uversionmangle=s/([a-z][0-9.]*$)/~$1/,\
     filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
  https://github.com/pd-externals/bsaylor/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
